/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing VariantDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class VariantDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for VariantDto
        //private VariantDto instance;

        public VariantDtoTests()
        {
            // TODO uncomment below to create an instance of VariantDto
            //instance = new VariantDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of VariantDto
        /// </summary>
        [Fact]
        public void VariantDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" VariantDto
            //Assert.IsType<VariantDto>(instance);
        }

        /// <summary>
        /// Test the property 'GraphName'
        /// </summary>
        [Fact]
        public void GraphNameTest()
        {
            // TODO unit test for the property 'GraphName'
        }

        /// <summary>
        /// Test the property 'Similarity'
        /// </summary>
        [Fact]
        public void SimilarityTest()
        {
            // TODO unit test for the property 'Similarity'
        }
    }
}
